<?php
/**
* Nom du plugin: "ElioSnow" pour Joomla!2.5 - Joomla!3.2
* Auteur: Félix Dragan Dimitric
* Date: 19 Novembre 2013
* Site Web: www.eliopro.fr
* Copyright: (C) 2013 - 2014 www.eliopro.fr
* License: Free = GNU/GPL
* Version du Plugin: 1.1
*/
//  Code de sécurité
defined( '_JEXEC' ) or die( 'Restricted access' );
//  Importation des routines du plugin
jimport( 'joomla.plugin.plugin');
//  Definition de la classe du plugin
class plgContentElioSnow extends JPlugin
{   
    public $plg_name = "eliosnow";  
    function __construct(&$subject, $config)
    {
        parent::__construct($subject, $config);
            }           
//  Definition de la fonction et de la préparation du contenu que le plugin devra executer       
public function onContentPrepare($context, &$article, &$params)
    {
    //  Chargement des fichier languages
    JPlugin::loadLanguage('plg_content_'.$this->plg_name, JPATH_ADMINISTRATOR);
        //  Définition du tag d'appel du plugin
        $regex_plgsnow = "#{eliosnow}(.*?){/eliosnow}#s";
                                  
    //  Routine de remplacement du tag dans les articles
    $article->text = preg_replace_callback($regex_plgsnow, array(&$this,'snow'), $article->text);
            return true;
        }

    function snow (&$matches) 
    {
	$modenormal = $this->params->get('modenormal');
	
	//*************************************************//
	//   VERSION 1.2 BETA EN COURS DE DEVELOPPEMENT    // 
    //*************************************************//
		
	 // $id= $matches[1];
	 $excludeMobile = $this->params->get('excludeMobile');
     $autoStart = $this->params->get('autoStart');
     $animationInterval = $this->params->get('animationInterval');
     $flakeBottom = $this->params->get('flakeBottom');
     $flakesMax = $this->params->get('flakesMax');
     $flakesMaxActive = $this->params->get('flakesMaxActive');
     $followMouse = $this->params->get('followMouse');
     $freezeOnBlur = $this->params->get('freezeOnBlur');
     $snowColor = $this->params->get('snowColor');
     $snowStick = $this->params->get('snowStick');
     $targetElement = $this->params->get('targetElement');
     $useMeltEffect = $this->params->get('useMeltEffect');
     $useTwinkleEffect = $this->params->get('useTwinkleEffect');
     $usePositionFixed = $this->params->get('usePositionFixed');
     $vMaxX = $this->params->get('vMaxX');
     $vMaxY = $this->params->get('vMaxY');
	 $snowCharacter = $this->params->get('snowCharacter');
	
	if ($this->params->get('modenormal') == 'YES' ) {
		$id= $matches[1];
	    $html = '<script type="text/javascript" src="plugins/content/eliosnow/snowstorm.js"></script>' ;
        return $html;
	}
    else {
		$html ='<script type="text/javascript" src="plugins/content/eliosnow/snowstorm.js"></script>
		<script>
snowStorm.snowColor = \'#99ccff\';
snowStorm.flakesMaxActive = 96;
snowStorm.useTwinkleEffect = true;  
</script>';
return $html;
    }
 }
		//*************************************************//
		//   VERSION 1.2 BETA EN COURS DE DEVELOPPEMENT    // 
        //*************************************************//
		
        // $html = '<script>snowStorm.excludeMobile = "'.$excludeMobile.'";</script>
		// <script type="text/javascript" src="plugins/content/eliosnow/snowstorm.js"></script>
        // <script>
        // snowStorm.autoStart = '.$autoStart.';                         
        // snowStorm.animationInterval = '.$animationInterval.';         
        // snowStorm.flakeBottom = '.$flakeBottom.';                     
        // snowStorm.flakesMax = '.$flakesMax.';                         
        // snowStorm.flakesMaxActive = '.$flakesMaxActive.';             
        // snowStorm.followMouse = '.$followMouse.';                     
        // snowStorm.freezeOnBlur = '.$freezeOnBlur.';                   
        // snowStorm.snowColor = \'"'.$snowColor.'"\';                         
        // snowStorm.snowStick = '.$snowStick.';                         
        // snowStorm.targetElement = '.$targetElement.';                 
        // snowStorm.useMeltEffect = '.$useMeltEffect.';                 
        // snowStorm.useTwinkleEffect = '.$useTwinkleEffect.';           
        // snowStorm.usePositionFixed = '.$usePositionFixed.';	
        // snowStorm.vMaxX = '.$vMaxX.';                           
        // snowStorm.vMaxY = '.$vMaxY.'; 
        // snowStorm.snowCharacter = \'"'.$snowCharacte.'"\';	
        // </script>' ;    
        // return $html;
  
}?>